curl --request POST \
--url https://app.alphapo.net/api/v2/currencies/rates \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"currency_from": "BTC",
"currency_to": "EUR"
}
'{
"data": [
{
"currency_from": {
"currency": "BTC",
"type": "crypto",
"min_amount": "0.00010000",
"description": "Filter by currency ISO that exchanges from.",
"min_amount_deposit_with_exchange": "0.00010000"
},
"currency_to": {
"currency": "EUR",
"type": "fiat",
"description": "Filter by currency ISO that can be converted to."
},
"rate_from": "1",
"rate_to": "20693.84879354"
}
]
}Get a particular pair and its price. Note that this endpoint only provides rate estimates as a reference. It should not be used for exchanges in live environments.
curl --request POST \
--url https://app.alphapo.net/api/v2/currencies/rates \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"currency_from": "BTC",
"currency_to": "EUR"
}
'{
"data": [
{
"currency_from": {
"currency": "BTC",
"type": "crypto",
"min_amount": "0.00010000",
"description": "Filter by currency ISO that exchanges from.",
"min_amount_deposit_with_exchange": "0.00010000"
},
"currency_to": {
"currency": "EUR",
"type": "fiat",
"description": "Filter by currency ISO that can be converted to."
},
"rate_from": "1",
"rate_to": "20693.84879354"
}
]
}Your API key.
The request body, signed with HMAC-SHA512 with your secret key. You can find the secret key in your account.
Currency to exchange from. For a list of all available currencies, see Supported currencies.
Currency to exchange to. For a list of all available currencies, see Supported currencies.
OK
Show child attributes
Was this page helpful?